Bug 242708 - Requesting backport of upstream fix for bind_columns() to use return set_err(...) instead of die()
Requesting backport of upstream fix for bind_columns() to use return set_err(...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-DBI (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Stepan Kasal
Depends On:
Blocks: 246627
  Show dependency treegraph
Reported: 2007-06-05 10:30 EDT by Martin Poole
Modified: 2010-10-22 11:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0686
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-24 15:36:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
converted backport of upstream patch (646 bytes, patch)
2007-06-05 10:30 EDT, Martin Poole
no flags Details | Diff

  None (edit)
Description Martin Poole 2007-06-05 10:30:54 EDT
Description of problem:

Requesting backport of upstream fix for bind_columns() to use return
set_err(...) instead of die()

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

Upstream has bind_columns() in DBD.pm, whereas 1.40 is encoded in DBD.xs.
Attached patch is attempt at eqivalent patch to upstream patch
Comment 1 Martin Poole 2007-06-05 10:30:56 EDT
Created attachment 156226 [details]
converted backport of upstream patch
Comment 2 Robin Norwood 2007-06-13 17:20:54 EDT
Hi Martin,

Me again - do we have a reproducer/test case for this issue, so I can verify
what the patch fixes?
Comment 3 Issue Tracker 2007-07-23 09:56:48 EDT
use DBI;

my $dbh = DBI->connect("dbi:Pg:dbname=template1");

my $sth = $dbh->prepare("select * from pg_tables");

my $d = $sth->bind_columns(@cols);

Internal Status set to 'Waiting on Engineering'

This event sent from IssueTracker by mpoole 
 issue 122900
Comment 4 RHEL Product and Program Management 2008-02-01 14:07:15 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 errata-xmlrpc 2008-07-24 15:36:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.